## survex 1.1.13

=== debian/changelog ===
survex (1.1.13-1) unstable; urgency=low

  [Olly Betts]
  * New upstream release.
  * Drop "www." from Homepage, as that's canonical now.
  * Use vim-addon-manager to manage the Survex vim syntax highlighting mode.
  * debian/watch: Update to look on the right download page.
  * debian/copyright: Update to list all copyright holders.

 -- Olly Betts <olly@survex.com>  Wed, 16 Jun 2010 03:01:57 +0000

survex (1.0.39.1-4) unstable; urgency=low

  [Olly Betts]
  * debian/control:
    + Drop dependency on dpkg-dev entirely as it's build-essential.
    + "wxWindows" -> "wxWidgets" in description.
    + survex-svxedit: Move ${misc:Depends} from Recommends to Depends.
  * debian/rules: "dh_clean -k" -> "dh_prep".

 -- Olly Betts <olly@survex.com>  Sun, 16 May 2010 12:11:18 +0000

survex (1.0.39.1-3) unstable; urgency=low

  [Olly Betts]
  * Add myself as co-maintainer with consent of maintainer.
  * ACK NMU.  (Closes: #515392)
    + debian/rules: Force $DISPLAY to be empty rather than disabling the
      testsuite as the NMU did.
  * Upgrade from debhelper compat level 4 to 7.
  * debian/control:
    + Add ${misc:Depends} for survex-svxedit.
    + Standards-Version: 3.8.4.
    + Remove version requirement from dpkg-dev build dependency as even etch
      had a new enough version.
  * Use latest config.sub and config.guess from autotools-dev.
    (Closes: #567630)
  * debian/rules:
    + Support nocheck and parallel=<n> in DEB_BUILD_OPTIONS.
    + Remove calls to dh_desktop (now deprecated and a no-op).
  * debian/source/format: "3.0 (quilt)"
  * debian/survex-aven.desktop,debian/survex-svxedit.desktop: Remove deprecated
    "Encoding: UTF-8"; remove deprecated category "Application".

 -- Olly Betts <olly@survex.com>  Sat, 15 May 2010 22:46:04 +0000

survex (1.0.39.1-2.2) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/control
    - (Build-Depends): update obsolete x-dev to x11proto-core-dev.
      (important RC bug; Closes: #515392).
  * debian/rules
    - (build-stamp): Check that DISPLAY is set before running tests.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 31 Mar 2010 07:16:32 +0300

survex (1.0.39.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to unquoted configure arguments.  (Closes: #476026)
  * Change doc-base section to Science/Geoscience to fix a Lintian warning.

 -- James Vega <jamessan@debian.org>  Wed, 30 Apr 2008 23:12:41 -0400

survex (1.0.39.1-2) unstable; urgency=low

  * Patch to use wx2.6 as 2.4 has been removed from Debian (closes: bug#462031)
  * Add note that vim addons no longer automatically included (closes: bug#464822)
  * Fix Lintian issues

 -- wookey <wookey@survex.com>  Wed, 20 Feb 2008 03:30:25 +0000

survex (1.0.39.1-1) unstable; urgency=low

  * Upload with version number that sorts higher than the hppa binNMU,
    to actually fix the uninstallable on hppa problem
  * Add .desktop files: (closes: bug#403870)

 -- Wookey <wookey@survex.com>  Thu, 28 Dec 2006 13:45:09 +0000

survex (1.0.39-1) unstable; urgency=high

  * "urgency=high" because survex-aven is currently uninstallable on hppa
    after a binNMU (which is an RC bug).  The other changes are very safe too.
  * debian/control: Make binNMU safe.
  * debian/control: Lowercase first letter of description for survex package
    as recommended by "best packaging practices".
  * debian/copyright.in,debian/copyright: Fix failed automatic substitution
    of copyright statements.
  * debian/control: "Standards-Version: 3.7.2" - no changes required.
  * debian/doc-base: Use valid "Apps/Science" section, not invalid "math";
    Use document ID "survex-manual" rather than the overly generic "manual"
    since the document ID is supposed to be unique.

 -- Wookey <wookey@survex.com>  Sat, 16 Dec 2006 04:50:47 +0000

=== debian/control ===
Source: survex
Section: science
Priority: extra
Maintainer: Wookey <wookey@survex.com>
Uploaders: Olly Betts <olly@survex.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, x11proto-core-dev,
    libwxgtk2.8-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev
Homepage: http://survex.com/

Package: survex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: survex-aven (= ${binary:Version})
Suggests: survex-svxedit (= ${source:Version}), vim-addon-manager
Description: cave surveying and mapping software
 A software suite to process, view, and print cave survey data.  Survex
 is cross-platform (Linux, Unix, Mac OS X, Microsoft Windows).  It includes
 English, French, German, Portuguese, Catalan, Spanish, Slovak, and Romanian
 internationalisations.  It can deal with extremely large and complex
 datasets and can read survey data from many sources.

Package: survex-aven
Architecture: any
Depends: survex (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: sophisticated cave survey viewer for Survex
 An advanced cave survey data viewer for Survex, written using the wxWidgets
 library, and using OpenGL.

Package: survex-svxedit
Architecture: all
Depends: tk8.4|wish, bwidget, ${misc:Depends}
Recommends: survex (>= ${source:Version})
Description: survey data editor for Survex
 Experimental cave survey data entry editor for Survex.  Packaged separately
 as it requires Tcl to be installed, and a text editor may be used instead.

=== debian/rules ===
#!/usr/bin/make -f
# Based on public domain debhelper example rules.multi2 by Joey Hess.
#
# Copyright (C) 2005,2006,2010 Olly Betts
#
# GPL licensed.
#
# This is a multibinary package.  You can build any of the binary packages
# independently by using the appropriate binary-<package> target.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
CXXFLAGS += -O0
else
CFLAGS += -O2
CXXFLAGS += -O2
endif
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
STRIP=/bin/true
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(NUMJOBS)
endif

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
# Disable the testsuite when cross-compiling.
DEB_BUILD_OPTIONS += nocheck
endif

build: build-stamp
build-stamp:
	dh_testdir

	# Use the latest config.sub and config.guess from the autotools-dev
	# package.
	rm -f config.sub config.guess
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess

	./configure --prefix=/usr --mandir=\$${prefix}/share/man --enable-docdir=\$${prefix}/share/doc/survex CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" STRIP="$(STRIP)"
	$(MAKE)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check DISPLAY=
endif
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f config.sub config.guess
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=`pwd`/debian/tmp install
	install -d debian/survex/usr/share/vim/addons/ftdetect
	install -d debian/survex/usr/share/vim/addons/syntax
	install -d debian/survex/usr/share/vim/registry
	install -m 0644 vim/ftdetect/survex.vim debian/survex/usr/share/vim/addons/ftdetect
	install -m 0644 vim/syntax/survex.vim debian/survex/usr/share/vim/addons/syntax
	install -m 0644 debian/vim-survex.yaml debian/survex/usr/share/vim/registry

	dh_install --fail-missing

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installmenu
# FIXME: investigate using dh_installmime
#	dh_installmime
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independent packages using the common target.
binary-indep: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary-common binary install

=== debian/watch ===
# watch control file
# Run "uscan" to check for upstream updates and more.
#
# Need version 2 so directory can be a regexp
version=2
# Site		Directory		Pattern			Version	Script
http://survex.com/download.html?platform=unix	software/[\d\.]*/survex-([\d\.]*).tar.gz	debian	uupdate

## survex 1.1.14

=== debian/changelog ===
survex (1.1.14-1) unstable; urgency=low

  [Olly Betts]
  * New upstream release.
  * debian/control: "Standards-Version: 3.9.1" - no changes required.
  * debian/watch: Update to look in the right place for 1.1.x.
  * debian/survex-aven.lintian-overrides: The warning for the misspelling of
    "reencode" is incorrect - it's a PostScript command in this context.

 -- Olly Betts <olly@survex.com>  Mon, 26 Jul 2010 14:30:44 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Wookey <wookey@survex.com>
 Uploaders: Olly Betts <olly@survex.com>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, x11proto-core-dev,
     libwxgtk2.8-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev
 Homepage: http://survex.com/

=== debian/rules ===
--- 
+++ 
@@ -90,6 +90,7 @@
 	dh_installmenu
 # FIXME: investigate using dh_installmime
 #	dh_installmime
+	dh_lintian
 	dh_strip
 	dh_link
 	dh_compress

## survex 1.1.16

=== debian/changelog ===
survex (1.1.16-1) unstable; urgency=low

  [Olly Betts]
  * New upstream release.
    + Explicitly links with -lGL, if it exists, to support linking with gold or
      GNU ld --as-needed.  (Closes: #615781)
  * debian/control:
    + "Standards-Version: 3.9.2" - no changes required.
    + Expand descriptions of survex-aven and survex-svxedit.

 -- Olly Betts <olly@survex.com>  Mon, 16 May 2011 06:55:27 +0000

survex (1.1.15-1) unstable; urgency=low

  [Olly Betts]
  * New upstream release.
  * debian/copyright: Use http://survex.com/ rather than http://www.survex.com/
    - the former is the canonical name and www.survex.com just redirects.

 -- Olly Betts <olly@survex.com>  Sat, 16 Oct 2010 12:12:24 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Wookey <wookey@survex.com>
 Uploaders: Olly Betts <olly@survex.com>
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, x11proto-core-dev,
     libwxgtk2.8-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev
 Homepage: http://survex.com/
@@ -25,7 +25,10 @@
 Depends: survex (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: sophisticated cave survey viewer for Survex
  An advanced cave survey data viewer for Survex, written using the wxWidgets
- library, and using OpenGL.
+ library, and using OpenGL for rendering.  Aven allows searching for stations,
+ highlighting categories of stations such entrances or fixed points, measuring
+ the distance between stations, showing passage walls, and supports
+ presentations (pre-recorded fly-throughs).
 
 Package: survex-svxedit
 Architecture: all
@@ -33,4 +36,5 @@
 Recommends: survex (>= ${source:Version})
 Description: survey data editor for Survex
  Experimental cave survey data entry editor for Survex.  Packaged separately
- as it requires Tcl to be installed, and a text editor may be used instead.
+ as it requires Tcl to be installed, and some users prefer to use a text
+ editor instead.

## survex 1.2.0

=== DESCRIPTION ===
Package: survex
Title: Explainable Machine Learning in Survival Analysis
Version: 1.2.0
Authors@R: 
    c(
        person("Mikołaj", "Spytek", email = "mikolajspytek@gmail.com", role = c("aut", "cre"), comment = c(ORCID = "0000-0001-7111-2286")),
        person("Mateusz", "Krzyziński", role = c("aut"), comment = c(ORCID = "0000-0001-6143-488X")),
        person("Sophie", "Langbein", role = c("aut")), 
        person("Hubert", "Baniecki", role = c("aut"), comment = c(ORCID = "0000-0001-6661-5364")),
        person("Lorenz A.", "Kapsner", role = c("ctb"), comment = c(ORCID = "0000-0003-1866-860X")),
        person("Przemyslaw", "Biecek", role = c("aut"), comment = c(ORCID = "0000-0001-8423-1823"))
    )
Description: Survival analysis models are commonly used in medicine and other areas. Many of them
    are too complex to be interpreted by human. Exploration and explanation is needed, but
    standard methods do not give a broad enough picture. 'survex' provides easy-to-apply
    methods for explaining survival models, both complex black-boxes and simpler statistical models.
    They include methods specific to survival analysis such as SurvSHAP(t) introduced in Krzyzinski et al., (2023)
    <doi:10.1016/j.knosys.2022.110234>, SurvLIME described in Kovalev et al., (2020) <doi:10.1016/j.knosys.2020.106164> as well as
    extensions of existing ones described in Biecek et al., (2021) <doi:10.1201/9780429027192>.
License: GPL (>= 3)
Encoding: UTF-8
RoxygenNote: 7.2.3
Depends: R (>= 3.5.0)
Imports: DALEX (>= 2.2.1), ggplot2 (>= 3.4.0), kernelshap, pec,
        survival, patchwork
Suggests: censored (>= 0.2.0), covr, flexsurv, gbm, generics, glmnet,
        ingredients, knitr (>= 1.42), mboost, parsnip, progressr,
        randomForestSRC, ranger, reticulate, rmarkdown, rms, testthat
        (>= 3.0.0), treeshap (>= 0.3.0), withr, xgboost
Config/testthat/edition: 3
URL: https://modeloriented.github.io/survex/
BugReports: https://github.com/ModelOriented/survex/issues
NeedsCompilation: no
Packaged: 2023-10-24 18:33:46 UTC; nick
Author: Mikołaj Spytek [aut, cre] (<https://orcid.org/0000-0001-7111-2286>),
  Mateusz Krzyziński [aut] (<https://orcid.org/0000-0001-6143-488X>),
  Sophie Langbein [aut],
  Hubert Baniecki [aut] (<https://orcid.org/0000-0001-6661-5364>),
  Lorenz A. Kapsner [ctb] (<https://orcid.org/0000-0003-1866-860X>),
  Przemyslaw Biecek [aut] (<https://orcid.org/0000-0001-8423-1823>)
Maintainer: Mikołaj Spytek <mikolajspytek@gmail.com>
Repository: CRAN
Date/Publication: 2023-10-24 18:50:07 UTC

## survex 1.2.2

=== debian/changelog ===
survex (1.2.2-1) unstable; urgency=low

  [Olly Betts]
  * New upstream release.
    + Package new aven.svg icon.
  * I'm now the maintainer, Wookey comaintainer, to reflect my doing most of
    the packaging work recently (changed with Wookey's agreement).
  * Use Wookey's debian.org address to match his other packages.
  * Redo packaging to use dh.
  * debian/survex-aven.lintian-overrides: Lintian has dropped "./" from the
    path of the binary, so update override to match.
  * debian/survex.install: Update for move of survex man page to section 7.
  * Add build-deps for movie export support.
  * README.Debian: Fix typo spotted by lintian.
  * debian/copyright: Update.

 -- Olly Betts <olly@survex.com>  Fri, 07 Oct 2011 00:59:27 +0000

## survex 1.2.5

=== debian/changelog ===
survex (1.2.5-1) unstable; urgency=low

  * New upstream release.
    + Work with newer FFmpeg. (Closes: #654223)
    + Incorporates survex-manpage-section.patch, so drop patch.

 -- Olly Betts <olly@survex.com>  Tue, 03 Jan 2012 13:12:15 +0000

survex (1.2.4-1) unstable; urgency=low

  * New upstream release.
  * New patch survex-manpage-section.patch to fix section mismatch.

 -- Olly Betts <olly@survex.com>  Sun, 01 Jan 2012 04:37:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: survex
 Section: science
 Priority: extra
-Maintainer: Wookey <wookey@survex.com>
-Uploaders: Olly Betts <olly@survex.com>
+Maintainer: Olly Betts <olly@survex.com>
+Uploaders: Wookey <wookey@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, x11proto-core-dev,
+    libavcodec-dev, libavformat-dev, libswscale-dev,
     libwxgtk2.8-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev
 Homepage: http://survex.com/

## survex 1.2.6

=== debian/changelog ===
survex (1.2.6-4) unstable; urgency=low

  * Normalise expected cavern output used by cavern.tst, to avoid sporadic
    test failures on slower buildds.

 -- Olly Betts <olly@survex.com>  Wed, 16 May 2012 12:48:58 +0000

survex (1.2.6-3) unstable; urgency=low

  * Try harder to enforce known i18n state, and report environment in case this
    fails.

 -- Olly Betts <olly@survex.com>  Tue, 15 May 2012 23:23:43 +0000

survex (1.2.6-2) unstable; urgency=low

  * Fix further testcase issues due to i18n of expected output.

 -- Olly Betts <olly@survex.com>  Tue, 28 Feb 2012 05:11:38 +0000

survex (1.2.6-1) unstable; urgency=low

  * New upstream release.
    + New temporary patch fix-equatenosuchstn-testcase.patch to fix new failing
      testcase in this release (already fixed in upstream git).
  * "Standards-Version: 3.9.3" - no changes required.

 -- Olly Betts <olly@survex.com>  Fri, 24 Feb 2012 01:01:23 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libswscale-dev,
     libwxgtk2.8-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev

=== debian/watch ===
# watch control file
# Run "uscan" to check for upstream updates and more.
version=3
# Site		Directory		Pattern			Version	Script
http://survex.com/software/([\d\.]*)/survex-([\d\.]*).tar.gz	debian	uupdate
# For stable releases:
# http://survex.com/download.html?platform=unix	software/[\d\.]*/survex-([\d\.]*).tar.gz	debian	uupdate

## survex 1.2.8

=== debian/changelog ===
survex (1.2.8-2) unstable; urgency=low

  * Rebuild to use wxwidgets3.0 instead of wxwidgets2.8.

 -- Olly Betts <olly@survex.com>  Tue, 12 Nov 2013 18:36:34 +0000

survex (1.2.8-1) unstable; urgency=low

  * New upstream release
    + Includes all changes in debian/patches, so drop these.
    + Works with libav 9 API (with additional patch
      avcodec_free_frame-fix.patch).  (Closes: #721042)
    + Add B-D on libproj-dev for GPX export.
  * "Standards-Version: 3.9.5" - no changes required.

 -- Olly Betts <olly@survex.com>  Wed, 30 Oct 2013 12:40:02 +1300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, x11proto-core-dev,
-    libavcodec-dev, libavformat-dev, libswscale-dev,
-    libwxgtk2.8-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev
+    libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
+    libwxgtk3.0-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev
 Homepage: http://survex.com/
 
 Package: survex

## survex 1.2.11

=== debian/changelog ===
survex (1.2.11-1) unstable; urgency=medium

  * New upstream release
    + Includes avcodec_free_frame-fix.patch so drop patch
  * debian/watch: Add pgpsigurlmangle setting to automatically verify
    detached GPG signatures on upstream release tarballs.
  * Update to dh compat level 9 to enable use of hardening flags.

 -- Olly Betts <olly@survex.com>  Tue, 28 Jan 2014 15:54:37 +1300

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, x11proto-core-dev,
+Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
-    libwxgtk3.0-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev
+    libwxgtk2.8-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev
 Homepage: http://survex.com/
 
 Package: survex

=== debian/watch ===
# watch control file
# Run "uscan" to check for upstream updates and more.
version=3
# Site		Directory		Pattern			Version	Script
opts="pgpsigurlmangle=s/$/.asc/" http://survex.com/software/([\d\.]*)/survex-([\d\.]*).tar.gz	debian	uupdate
# For stable releases:
# http://survex.com/download.html?platform=unix	software/[\d\.]*/survex-([\d\.]*).tar.gz	debian	uupdate

## survex 1.2.14

=== debian/changelog ===
survex (1.2.14-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 02:35:13 +0100

survex (1.2.14-1) unstable; urgency=medium

  * New upstream release.
  * Ship dump3d.  (Reported by Mike Lake on the survex mailing list).

 -- Olly Betts <olly@survex.com>  Wed, 23 Jul 2014 16:41:06 +1200

survex (1.2.13-1) unstable; urgency=medium

  * New upstream release.

 -- Olly Betts <olly@survex.com>  Thu, 15 May 2014 17:31:23 +1200

survex (1.2.12-1) unstable; urgency=medium

  * New upstream release:
    + Fixes to work with libav10. (Closes: #739332)
  * debian/control: survex-svxedit works fine with tk8.5, so update dependency
    on tk8.4|wish to tk8.5|wish - the Debian Tcl/Tk maintainers are aiming to
    remove tk8.4 before jessie.
  * debian/control: Update to build against wxWidgets 3.0 instead of 2.8.
  * debian/copyright: Update for 2014.

 -- Olly Betts <olly@survex.com>  Mon, 14 Apr 2014 16:56:11 +1200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
-    libwxgtk2.8-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev
+    libwxgtk3.0-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev
 Homepage: http://survex.com/
 
 Package: survex
@@ -33,7 +33,7 @@
 
 Package: survex-svxedit
 Architecture: all
-Depends: tk8.4|wish, bwidget, ${misc:Depends}
+Depends: tk8.5|wish, bwidget, ${misc:Depends}
 Recommends: survex (>= ${source:Version})
 Description: survey data editor for Survex
  Experimental cave survey data entry editor for Survex.  Packaged separately

## survex 1.2.16

=== debian/changelog ===
survex (1.2.16-1~bpo60+1) squeeze-backports-sloppy; urgency=medium

  * Rebuild for squeeze backports:
    + Change BD from libwxgtk3.0-dev to libwxgtk2.8-dev as squeeze only has
      wx 2.8 and apply wx 2.8 compatibility fixes from upstream git (new patch
      wx2.8-compat.patch).

 -- Olly Betts <olly@survex.com>  Thu, 02 Jul 2015 15:46:22 +1200

survex (1.2.16-1) unstable; urgency=low

  * New upstream release.
  * debian/control: "Standards-Version: 3.9.6" - no changes required.
  * debian/control: Improve descriptions - in particular, stop trying to
    explicitly list all the languages there are translations to.

 -- Olly Betts <olly@survex.com>  Fri, 17 Oct 2014 22:38:44 +1300

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
-    libwxgtk3.0-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev
+    libwxgtk2.8-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev
 Homepage: http://survex.com/
 
 Package: survex
@@ -16,10 +16,9 @@
 Suggests: survex-svxedit (= ${source:Version}), vim-addon-manager
 Description: cave surveying and mapping software
  A software suite to process, view, and print cave survey data.  Survex
- is cross-platform (Linux, Unix, Mac OS X, Microsoft Windows).  It includes
- English, French, German, Portuguese, Catalan, Spanish, Slovak, and Romanian
- internationalisations.  It can deal with extremely large and complex
- datasets and can read survey data from many sources.
+ is cross-platform (Linux, Unix, Mac OS X, Microsoft Windows).  It has
+ been translated into many languages.  It can deal with extremely large and
+ complex datasets and can read survey data from many sources.
 
 Package: survex-aven
 Architecture: any
@@ -36,6 +35,6 @@
 Depends: tk8.5|wish, bwidget, ${misc:Depends}
 Recommends: survex (>= ${source:Version})
 Description: survey data editor for Survex
- Experimental cave survey data entry editor for Survex.  Packaged separately
- as it requires Tcl to be installed, and some users prefer to use a text
- editor instead.
+ Experimental cave survey data entry editor for Survex.  It is packaged
+ separately as it requires Tcl to be installed, and some users prefer to use a
+ text editor instead.

## survex 1.2.20

=== debian/changelog ===
survex (1.2.20-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie backports.

 -- Olly Betts <olly@survex.com>  Wed, 01 Jul 2015 15:54:03 +1200

survex (1.2.20-2) unstable; urgency=medium

  * Fix use after free which was causing test suite failure on some
    architectures.

 -- Olly Betts <olly@survex.com>  Fri, 26 Jun 2015 15:41:11 +1200

survex (1.2.20-1) unstable; urgency=medium

  * New upstream release:
    + Upstream has dropped svxedit so drop the survex-svxedit package.
    + Adds terrain visualisation, so note this in the package description.
    + Installs filetype and app icons under /usr/share/icons/hicolor, which is
      where modern desktops look for them.
    + survex-aven.desktop: Adds %f to Exec
  * Add a link to the sample data in README.Debian, as suggested by Andy
    Waddington a mere 7 years ago.

 -- Olly Betts <olly@survex.com>  Fri, 26 Jun 2015 12:55:51 +1200

## survex 1.2.22

=== debian/changelog ===
survex (1.2.22-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie backports.

 -- Olly Betts <olly@survex.com>  Mon, 07 Sep 2015 08:23:32 +1200

survex (1.2.22-1) unstable; urgency=medium

  * New upstream release:
    + Includes fix-use-after-free-after-solve.patch so drop patch.
    + Fix conversion from coordinate systems using latitude and longitude.
    + Supports new *declination command.

 -- Olly Betts <olly@pippikin>  Mon, 17 Aug 2015 11:17:10 +0200

## survex 1.2.26

=== debian/changelog ===
survex (1.2.26-1ubuntu2) yakkety; urgency=medium

  * Ensure that pcs->begin_survey is initialised, since read_prefix may
    longjmp (LP: #1578249).
  * Enforce tests again.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 May 2016 17:55:16 +0100

survex (1.2.26-1ubuntu1) yakkety; urgency=medium

  * Ignore test results for now; seen only on the buildds. LP: #1578249.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 May 2016 16:41:55 +0200

survex (1.2.26-1build1) yakkety; urgency=medium

  * Rebuild for ffmpeg 3.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 01 May 2016 15:56:26 +0100

survex (1.2.26-1) unstable; urgency=medium

  * New upstream release
    + Compatible with FFmpeg 2.9. (Closes: #803863)
    + Includes modern MIME mappings, so survex filetypes now have icons.
  * debian/survex-aven.menu: Remove obsolete file, fixes lintian warning.
  * debian/copyright: Update.

 -- Olly Betts <olly@survex.com>  Fri, 08 Jan 2016 12:27:19 +1300

=== debian/control ===
Source: survex
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
Uploaders: Wookey <wookey@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, x11proto-core-dev,
    libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
    libwxgtk3.0-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev,
    pkg-config
Homepage: http://survex.com/

Package: survex
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: survex-aven (= ${binary:Version})
Suggests: vim-addon-manager
Description: cave surveying and mapping software
 A software suite to process, view, and print cave survey data.  Survex
 is cross-platform (Linux, Unix, Mac OS X, Microsoft Windows).  It has
 been translated into many languages.  It can deal with extremely large and
 complex datasets and can read survey data from many sources.

Package: survex-aven
Architecture: any
Depends: survex (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: sophisticated cave survey viewer for Survex
 An advanced cave survey data viewer for Survex, written using the wxWidgets
 library, and using OpenGL for rendering.  Aven allows searching for stations,
 highlighting categories of stations such entrances or fixed points, measuring
 the distance between stations, showing passage walls, showing the terrain
 above the cave, and supports presentations (pre-recorded fly-throughs).

## survex 1.2.27

=== debian/changelog ===
survex (1.2.27-1) unstable; urgency=medium

  * New upstream release
    + Fixes uninitialised variable which was causing FTBFS on hurd via
      testsuite failure.  Closes: #821195.  Thanks to Colin Watson for patch.
  * debian/control: Note conformance with "Standards-Version: 3.9.8".
  * Use https for links to survex.com.

 -- Olly Betts <olly@survex.com>  Fri, 10 Jun 2016 23:19:44 +0100

## survex 1.2.30

=== debian/changelog ===
survex (1.2.30-1) unstable; urgency=medium

  * New upstream release
    + Adds man page for dump3d which should make lintian happier.
  * debian/rules: Enable bindnow and pie hardening flags.

 -- Olly Betts <olly@survex.com>  Tue, 04 Oct 2016 11:38:27 +1300

survex (1.2.29-1) unstable; urgency=medium

  * New upstream release:
    + Fixes "dash-ism" in testsuite which was causing a FTBFS when /bin/sh
      was bash (highlighted by reproducible builds).
    + Fixes deprecation warnings with latest FFmpeg package.

 -- Olly Betts <olly@survex.com>  Wed, 28 Sep 2016 10:47:09 +1300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: survex
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
+Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
     libwxgtk3.0-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev,
     pkg-config
-Homepage: http://survex.com/
+Homepage: https://survex.com/
 
 Package: survex
 Architecture: any

## survex 1.2.32

=== debian/changelog ===
survex (1.2.32-1) unstable; urgency=medium

  * New upstream release

 -- Olly Betts <olly@survex.com>  Sat, 08 Jul 2017 12:20:41 +1200

survex (1.2.31-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for 2017.

 -- Olly Betts <olly@survex.com>  Sat, 01 Jul 2017 20:18:42 +1200

## survex 1.2.33

=== debian/changelog ===
survex (1.2.33-1) unstable; urgency=medium

  * New upstream release
    + Adds compatibility with upcoming FFmpeg 3.5 release (Closes: #888334)
  * Build with GTK3 version of wxWidgets 3.0.
  * debian/control: Mark conformance with policy 4.1.3 - changes:
    + debian/control: Update section from "extra" to "optional" - "extra" was
      deprecated by policy version 4.0.1.

 -- Olly Betts <olly@survex.com>  Thu, 22 Mar 2018 16:17:47 +1300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: survex
 Section: science
-Priority: extra
+Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
-    libwxgtk3.0-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev,
+    libwxgtk3.0-gtk3-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev,
     pkg-config
 Homepage: https://survex.com/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie

%:
	dh $@

## survex 1.2.35

=== debian/changelog ===
survex (1.2.35-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch backports.
  * debian/control: Build with GTK2 version of wxWidgets.

 -- Olly Betts <olly@survex.com>  Thu, 05 Jul 2018 13:08:51 +1200

survex (1.2.35-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Mark conformance with policy 4.1.4.
  * debian/copyright: Update for 2018.
  * Add autopkgtest which runs upstream cavern.tst using installed cavern,
    diffpos and survexport binaries.
  * Fix assertion introduced by this upstream release: fix-wx-assertion.patch

 -- Olly Betts <olly@survex.com>  Tue, 03 Jul 2018 16:24:30 +1200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
-    libwxgtk3.0-gtk3-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev,
+    libwxgtk3.0-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev,
     pkg-config
 Homepage: https://survex.com/
+Testsuite: autopkgtest
 
 Package: survex
 Architecture: any

## survex 1.2.36

=== debian/changelog ===
survex (1.2.36-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch backports.
  * debian/control: Build with GTK2 version of wxWidgets.

 -- Olly Betts <olly@survex.com>  Tue, 24 Jul 2018 10:24:42 +1200

survex (1.2.36-1) unstable; urgency=medium

  * New upstream release
    + Includes fix-wx-assertion.patch so drop.
  * Move survexport to survex-aven binary package as it also depends on
    wxWidgets libraries, which is the main motivation for the split.
  * debian/control: Mark conformance with policy 4.1.5.
  * debian/control: Drop "Testsuite" header which apparently isn't needed.
  * debian/survex-aven.lintian-overrides: Add a second suppression for another
    occurrence of "reencode" which is a PostScript command not a typo.

 -- Olly Betts <olly@survex.com>  Wed, 18 Jul 2018 15:14:13 +1200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
     libwxgtk3.0-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev,
     pkg-config
 Homepage: https://survex.com/
-Testsuite: autopkgtest
 
 Package: survex
 Architecture: any

## survex 1.2.37

=== debian/changelog ===
survex (1.2.37-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Mark conformance with policy 4.2.1.
  * debian/compat,debian/control: Update to dh compat level 10.
  * debian/upstream/signing-key.asc: Replace deprecated
    debian/upstream-signing-key.pgp.

 -- Olly Betts <olly@survex.com>  Mon, 19 Nov 2018 14:02:22 +1300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 4.1.5
-Build-Depends: debhelper (>= 9), libx11-dev, libxext-dev, x11proto-core-dev,
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 10), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
-    libwxgtk3.0-dev, mesa-common-dev, libglu1-mesa-dev, autotools-dev,
-    pkg-config
+    libwxgtk3.0-gtk3-dev, mesa-common-dev, libglu1-mesa-dev, pkg-config
 Homepage: https://survex.com/
 
 Package: survex

## survex 1.2.38

=== debian/changelog ===
survex (1.2.38-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Mark conformance with policy 4.3.0.
  * debian/control: Specify "Rules-Requires-Root: no"

 -- Olly Betts <olly@survex.com>  Sun, 03 Mar 2019 00:13:12 +1300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 10), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
     libwxgtk3.0-gtk3-dev, mesa-common-dev, libglu1-mesa-dev, pkg-config
 Homepage: https://survex.com/
+Rules-Requires-Root: no
 
 Package: survex
 Architecture: any

## survex 1.2.40

=== debian/changelog ===
survex (1.2.40-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch backports.
  * debian/control: Build with GTK2 version of wxWidgets.

 -- Olly Betts <olly@survex.com>  Wed, 17 Jul 2019 08:51:45 +1200

survex (1.2.40-1) unstable; urgency=medium

  * Upload to unstable as buster release cutoff has passed.
  * New upstream release.
    + Drop workaround for bug with where esri data file is installed as now
      fixed upstream.

 -- Olly Betts <olly@survex.com>  Fri, 05 Jul 2019 10:33:29 +1200

survex (1.2.39-2) experimental; urgency=medium

  * Package new gtksourceview syntax file for .svx files.

 -- Olly Betts <olly@survex.com>  Sun, 30 Jun 2019 09:33:57 +1200

survex (1.2.39-1) experimental; urgency=medium

  * Upload to experimental due to release freeze.
  * New upstream release:
    + Work around bug with where esri data file is installed.

 -- Olly Betts <olly@survex.com>  Sat, 29 Jun 2019 15:08:52 +1200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 10), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
-    libwxgtk3.0-gtk3-dev, mesa-common-dev, libglu1-mesa-dev, pkg-config
+    libwxgtk3.0-dev, mesa-common-dev, libglu1-mesa-dev, pkg-config
 Homepage: https://survex.com/
 Rules-Requires-Root: no

## survex 1.2.41

=== debian/changelog ===
survex (1.2.41-1) unstable; urgency=medium

  * New upstream release
    + No changes relevant for Debian, but might as well update while uploading
      to fix a packaging problem.
  * debian/survex-aven.install: Package 3dtopos compatibility link.  Thanks to
    San Wenham for reporting.
  * debian/control: Mark conformance with policy 4.4.0.

 -- Olly Betts <olly@survex.com>  Tue, 13 Aug 2019 08:32:06 +1200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 10), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
-    libwxgtk3.0-dev, mesa-common-dev, libglu1-mesa-dev, pkg-config
+    libwxgtk3.0-gtk3-dev, mesa-common-dev, libglu1-mesa-dev, pkg-config
 Homepage: https://survex.com/
 Rules-Requires-Root: no

## survex 1.2.42

=== debian/changelog ===
survex (1.2.42-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:59:02 +0100

survex (1.2.42-1build1) focal; urgency=medium

  * Rebuild against new libproj15.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2019 14:00:11 +0200

survex (1.2.42-1) unstable; urgency=medium

  * New upstream release

 -- Olly Betts <olly@survex.com>  Wed, 04 Sep 2019 16:13:57 +1200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Suggests: vim-addon-manager
 Description: cave surveying and mapping software
  A software suite to process, view, and print cave survey data.  Survex
- is cross-platform (Linux, Unix, Mac OS X, Microsoft Windows).  It has
+ is cross-platform (Linux, Unix, macOS, Microsoft Windows).  It has
  been translated into many languages.  It can deal with extremely large and
  complex datasets and can read survey data from many sources.

=== debian/tests/control ===
Test-Command: cd tests && env CAVERN=cavern DIFFPOS=diffpos SURVEXPORT=survexport VERBOSE=1 ./cavern.tst
Restrictions: allow-stderr, rw-build-tree

## survex 1.2.44

=== debian/changelog ===
survex (1.2.44-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Mark conformance with policy 4.5.1.

 -- Olly Betts <olly@survex.com>  Thu, 11 Feb 2021 14:21:24 +1300

## survex 1.2.45

=== debian/changelog ===
survex (1.2.45-1) unstable; urgency=medium

  * New upstream release.
    + Fixes undefined behaviour in shifts of signed values
    + Fixes UTF-8 handling bug

 -- Olly Betts <olly@survex.com>  Tue, 09 Mar 2021 16:21:35 +1300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Build-Depends: debhelper (>= 10), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
     libwxgtk3.0-gtk3-dev, mesa-common-dev, libglu1-mesa-dev, pkg-config

## survex 1.4.0

=== debian/changelog ===
survex (1.4.0-1) unstable; urgency=medium

  * New upstream release.
    + Supports PROJ 8 (Closes: #983229)
    + Needs new patch: fix-testsuite.patch
  * debian/control: Mark conformance with policy 4.6.0.

 -- Olly Betts <olly@survex.com>  Sun, 07 Nov 2021 11:45:43 +1300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Build-Depends: debhelper (>= 10), libx11-dev, libxext-dev, x11proto-core-dev,
-    libavcodec-dev, libavformat-dev, libproj-dev, libswscale-dev,
+    libavcodec-dev, libavformat-dev, libproj-dev (>= 7.2.0), libswscale-dev,
     libwxgtk3.0-gtk3-dev, mesa-common-dev, libglu1-mesa-dev, pkg-config
 Homepage: https://survex.com/
 Rules-Requires-Root: no

## survex 1.4.1

=== debian/changelog ===
survex (1.4.1-1) unstable; urgency=medium

  * New upstream release.
    + Includes patch fix-testsuite.patch so drop.
  * debian/survex.install: Install a second copy of survex.lang so
    gtksourceview 4 can find it.
  * debian/compat,debian/control: Update to dh compat level 12.
    Debug information is now compressed with dwz.

 -- Olly Betts <olly@survex.com>  Tue, 09 Nov 2021 15:50:13 +1300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
 Standards-Version: 4.6.0
-Build-Depends: debhelper (>= 10), libx11-dev, libxext-dev, x11proto-core-dev,
+Build-Depends: debhelper-compat (= 12), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev (>= 7.2.0), libswscale-dev,
     libwxgtk3.0-gtk3-dev, mesa-common-dev, libglu1-mesa-dev, pkg-config
 Homepage: https://survex.com/

## survex 1.4.2

=== debian/changelog ===
survex (1.4.2-1build1) kinetic; urgency=medium

  * No-change rebuild against libproj25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 May 2022 16:25:57 +0000

survex (1.4.2-1) unstable; urgency=medium

  * New upstream release.
    + Supports FFmpeg 5.0 (Closes: #1004811)
    + debian/control: Relax libproj-dev dependency to (>= 6.2.0) since that's
      what this upstream release supports (just to aid backporting).
  * debian/survex-aven.lintian-overrides: Update chasing Lintian warning
    message format changes.
  * debian/source/include-binaries: Remove file as only entry was for
    "debian/upstream-signing-key.pgp" which was replaced with an ASCII
    armoured version in 1.2.37-1.

 -- Olly Betts <olly@survex.com>  Sun, 27 Feb 2022 09:15:08 +1300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: survex
 Section: science
 Priority: optional
-Maintainer: Olly Betts <olly@survex.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
 Standards-Version: 4.6.0
 Build-Depends: debhelper-compat (= 12), libx11-dev, libxext-dev, x11proto-core-dev,
-    libavcodec-dev, libavformat-dev, libproj-dev (>= 7.2.0), libswscale-dev,
+    libavcodec-dev, libavformat-dev, libproj-dev (>= 6.2.0), libswscale-dev,
     libwxgtk3.0-gtk3-dev, mesa-common-dev, libglu1-mesa-dev, pkg-config
 Homepage: https://survex.com/
 Rules-Requires-Root: no

## survex 1.4.3

=== debian/changelog ===
survex (1.4.3-2build1) lunar; urgency=medium

  * No-change rebuild against wxwidgets 3.2.1

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 20 Jan 2023 13:38:15 +0000

survex (1.4.3-2) unstable; urgency=medium

  * debian/control: Switch to use wxwidgets3.2.

 -- Olly Betts <olly@survex.com>  Mon, 12 Sep 2022 10:10:05 +1200

survex (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * New patch cherry picked from upstream: fix-clino-red-line.patch
  * New patch cherry picked from upstream: fix-cavern-tst.patch
  * debian/control: Mark conformance with policy 4.6.1.

 -- Olly Betts <olly@survex.com>  Wed, 18 May 2022 11:20:53 +1200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: survex
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
+Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 12), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev (>= 6.2.0), libswscale-dev,
-    libwxgtk3.0-gtk3-dev, mesa-common-dev, libglu1-mesa-dev, pkg-config
+    libwxgtk3.2-dev, mesa-common-dev, libglu1-mesa-dev, pkg-config
 Homepage: https://survex.com/
 Rules-Requires-Root: no

## survex 1.4.4

=== debian/changelog ===
survex (1.4.4-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:04:43 +1100

survex (1.4.4-1build2) noble; urgency=high

  * No change rebuild against libwxgtk-gl3.2-1t64, libwxgtk3.2-1t64,
    libwxbase3.2-1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:56:04 +0100

survex (1.4.4-1build1) mantic; urgency=medium

  * Rebuild against new libavcodec60.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 29 Jul 2023 22:15:25 +0200

survex (1.4.4-1) unstable; urgency=medium

  * New upstream release:
    + Drop cherry-picked patch: fix-clino-red-line.patch
    + Drop cherry-picked patch: fix-cavern-tst.patch
  * debian/control: Mark conformance with policy 4.6.2.

 -- Olly Betts <olly@survex.com>  Fri, 03 Feb 2023 16:02:13 +1300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: survex
 Section: science
 Priority: optional
-Maintainer: Olly Betts <olly@survex.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Olly Betts <olly@survex.com>
 Uploaders: Wookey <wookey@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 12), libx11-dev, libxext-dev, x11proto-core-dev,
     libavcodec-dev, libavformat-dev, libproj-dev (>= 6.2.0), libswscale-dev,
     libwxgtk3.2-dev, mesa-common-dev, libglu1-mesa-dev, pkg-config
